<?php
/*
Plugin Name: Fix Permalink
Plugin URI: http://www.buayacorp.com/
Description: Elimina algunos caracteres especiales de la URL de las entradas (Ejm: ¿, !, etc).
Author: Alexander Concha
Version: 0.1-alpha
Author URI: http://www.buayacorp.com/
*/

if (!defined('ABSPATH')) die;

// Copia de la función sanitize_title_with_dashes (wp-includes/formatting.php)
function custom_sanitize_title_with_dashes($title) {
	$title = strip_tags($title);
	// Preserve escaped octets.
	$title = preg_replace('|%([a-fA-F0-9][a-fA-F0-9])|', '---$1---', $title);
	// Remove percent signs that are not part of an octet.
	$title = str_replace('%', '', $title);
	// Restore octets.
	$title = preg_replace('|---([a-fA-F0-9][a-fA-F0-9])---|', '%$1', $title);

	$title = remove_accents($title);
		
	if (function_exists('mb_strtolower') && seems_utf8($title)) {
		$title = mb_strtolower($title, 'UTF-8');
	} else {
		$title = strtolower($title);
	}
	
	$title = preg_replace('/&.+?;/', '', $title); // kill entities
	$title = preg_replace('/[^%a-z0-9 _-]/', '', $title);

	$title = preg_replace('/[\s-]+/', '-', $title);
	$title = trim($title, '-');

	return $title;
}

remove_filter('sanitize_title', 'sanitize_title_with_dashes');
add_filter('sanitize_title', 'custom_sanitize_title_with_dashes');
?>